GET api/contractItemapi/contractitemsbycontract/{contractId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| contractId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "07aeb93b-7b22-4a7e-a23b-60134c17a50b",
"selected_nameplate_id": "2a333da8-2fd1-4e05-903e-03af107ef418",
"active": true,
"contract_id": "ee95b851-58ca-4228-8a54-be57cecda8d7",
"id": "da0cb84a-074a-4946-b850-2042445b3f79",
"physical_item_id": "0f52660c-1b28-41a4-9a08-42d57ed26ad6",
"service_item_id": "8252f2ce-d13e-47ef-816a-39785315cdf7",
"item_wash_max": 1,
"quantity": 1
},
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "07aeb93b-7b22-4a7e-a23b-60134c17a50b",
"selected_nameplate_id": "2a333da8-2fd1-4e05-903e-03af107ef418",
"active": true,
"contract_id": "ee95b851-58ca-4228-8a54-be57cecda8d7",
"id": "da0cb84a-074a-4946-b850-2042445b3f79",
"physical_item_id": "0f52660c-1b28-41a4-9a08-42d57ed26ad6",
"service_item_id": "8252f2ce-d13e-47ef-816a-39785315cdf7",
"item_wash_max": 1,
"quantity": 1
}
]
application/xml, text/xml
Sample:
<ArrayOfcontract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<contract_item>
<active>true</active>
<contract_id>ee95b851-58ca-4228-8a54-be57cecda8d7</contract_id>
<id>da0cb84a-074a-4946-b850-2042445b3f79</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>0f52660c-1b28-41a4-9a08-42d57ed26ad6</physical_item_id>
<quantity>1</quantity>
<service_item_id>8252f2ce-d13e-47ef-816a-39785315cdf7</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>2a333da8-2fd1-4e05-903e-03af107ef418</selected_nameplate_id>
<selected_sticker_id>07aeb93b-7b22-4a7e-a23b-60134c17a50b</selected_sticker_id>
</contract_item>
<contract_item>
<active>true</active>
<contract_id>ee95b851-58ca-4228-8a54-be57cecda8d7</contract_id>
<id>da0cb84a-074a-4946-b850-2042445b3f79</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>0f52660c-1b28-41a4-9a08-42d57ed26ad6</physical_item_id>
<quantity>1</quantity>
<service_item_id>8252f2ce-d13e-47ef-816a-39785315cdf7</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>2a333da8-2fd1-4e05-903e-03af107ef418</selected_nameplate_id>
<selected_sticker_id>07aeb93b-7b22-4a7e-a23b-60134c17a50b</selected_sticker_id>
</contract_item>
</ArrayOfcontract_item>